<include src="{{LISTBOX_PATH}}listbox.html" />

<webbox id="invoiceFilter">

<form name="invoiceFilter" onsubmit="return false;">
<input type="submit" class="hidden_submit" value=""
       onclick="this.focus();refresh_list();" />

<table class="filter_table" cellspacing="0" cellpadding="3">
  <tr><td class="filter_header">T_("Filter Invoices")</td></tr>
  <tr>
    <td class="filter_body">
      <table width="100%">
        <tr>
	  <td>T_("Month"):</td>
	  <td>
	    <webobject class="listbox" name="month" rs="rs_months" 
		       value="{{month}}" 
		       onchange="set_listbox(this)" />
          </td>
        </tr>
        <tr>
	  <td>T_("Type"):</td>
	  <td>
	    <webobject class="listbox" name="type" rs="rs_types" 
		       value="{{type}}" 
		       onchange="set_type(this)" />
          </td>
        </tr>
        <tr>
          <td>T_("Payable"):</td>
	  <td>
            <input type="checkbox" name="payable" checked="{{payable}}" 
		   onclick="set_chkbox(this)" /> 
          </td>
        </tr>

        <tr>
          <td>T_("Amount"):</td>
          <td>
            <input type="text" name="amount" value="{{amount}}"
                   size="10" onblur="set_textbox(this)" />
          </td>
        </tr>
        <tr>
          <td>T_("Serial Nr"):</td>
          <td>
            <input type="text" name="serial_nr" value="{{serial_nr}}"
                   size="10" onblur="set_textbox(this)" />
          </td>
        </tr>
        <tr>
          <td>T_("Address"):</td>
          <td>
            <input type="text" name="address" value="{{address}}"
                   size="10" onblur="set_textbox(this)" />
          </td>
        </tr>
        <tr>
          <td>T_("Customer"):</td>
          <td>
            <input type="text" name="customer" value="{{customer}}"
                   size="10" onblur="set_textbox(this)" />
          </td>
        </tr>

	<tr><td colspan="2"><hr/></td></tr>

        <if condition="'{{type}}'=='customer'">
        <tr>
          <td>T_("NIPT"):</td>
          <td>
            <input type="text" name="NIPT" value="{{NIPT}}"
                   size="10" onblur="set_textbox(this)" />
          </td>
        </tr>
        </if>

        <if condition="'{{type}}'=='subscriber'">
        <tr>
          <td>T_("MSISDN"):</td>
          <td>
            <input type="text" name="MSISDN" value="{{MSISDN}}"
                   size="10" onblur="set_textbox(this)" />
          </td>
        </tr>
        <tr>
          <td>T_("Name"):</td>
          <td>
            <input type="text" name="name" value="{{name}}"
                   size="10" onblur="set_textbox(this)" />
          </td>
        </tr>
        <tr>
          <td>T_("COS"):</td>
          <td>
            <input type="text" name="cos" value="{{cos}}"
                   size="10" onblur="set_textbox(this)" />
          </td>
        </tr>
        <tr>
          <td>T_("Passport"):</td>
          <td>
            <input type="text" name="passport_nr" value="{{passport_nr}}"
                   size="10" onblur="set_textbox(this)" />
          </td>
        </tr>
        </if>
      </table>
    </td>
  </tr>

  <tr>
    <td align="center">
      <a class="button" href="javascript:refresh_list()">T_("Refresh")</a>
    </td>
  </tr>
</table>
</form>

<table width="100%" cellspacing="0" cellpadding="3">
  <tr><td class="filter_header">T_("Invoice Checks")</td></tr>
  <tr>
    <td class="filter_body">
      <webobject class="listbox" name="check" rs="rs_checks" 
		 value="{{check}}" 
		 onchange="set_listbox(this)" />
    </td>
  </tr>
</table>

</webbox>
